diff --git a/game/core/src/main/java/net/minecraft/core/entity/projectile/ProjectileFireball.java b/game/core/src/main/java/net/minecraft/core/entity/projectile/ProjectileFireball.java
index 628d9bb1d..6455a3ec1 100644
--- a/game/core/src/main/java/net/minecraft/core/entity/projectile/ProjectileFireball.java
+++ b/game/core/src/main/java/net/minecraft/core/entity/projectile/ProjectileFireball.java
@@ -5,132 +5,124 @@ import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.monster.MobGhast;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.util.phys.HitResult;
-import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 import net.minecraft.core.util.helper.DamageType;
 import org.jetbrains.annotations.NotNull;
+import org.joml.Vector3dc;
 
-public class ProjectileFireball extends Projectile
-{
+public class ProjectileFireball extends Projectile {
     public static final double FIREBALL_SPEED = 1d;
 
-    public ProjectileFireball(World world)
-    {
+    public ProjectileFireball(World world) {
         super(world);
         setSize(1.0F, 1.0F);
     }
 
     public ProjectileFireball(World world, double x, double y, double z,
-                              double vX, double vY, double vZ)
-    {
+                              double vX, double vY, double vZ) {
         super(world);
         setSize(1.0F, 1.0F);
-        moveTo(x, y, z, yRot, xRot);
+        moveTo(x, y, z, this.yRot, this.xRot);
         setPos(x, y, z);
         setVelocity(vX, vY, vZ, FIREBALL_SPEED);
     }
-    public ProjectileFireball(World world, Mob owner, double vX, double vY, double vZ)
-    {
+
+    public ProjectileFireball(World world, Mob owner, double vX, double vY, double vZ) {
         super(world);
         setSize(1.0F, 1.0F);
         moveTo(owner.x, owner.y, owner.z, owner.yRot, owner.xRot);
-        setPos(x, y, z);
+        setPos(this.x, this.y, this.z);
         this.owner = owner;
-        heightOffset = 0.0F;
-        vX += (random.nextGaussian() - random.nextGaussian()) * 0.8D;
-        vY += (random.nextGaussian()) * 0.4D;
-        vZ += (random.nextGaussian() - random.nextGaussian()) * 0.8D;
+        this.heightOffset = 0.0F;
+        vX += (this.random.nextGaussian() - this.random.nextGaussian()) * 0.8D;
+        vY += (this.random.nextGaussian()) * 0.4D;
+        vZ += (this.random.nextGaussian() - this.random.nextGaussian()) * 0.8D;
         setVelocity(vX, vY, vZ, FIREBALL_SPEED);
     }
-    private void setVelocity(double vX, double vY, double vZ, double speed){
+
+    private void setVelocity(double vX, double vY, double vZ, double speed) {
         double velocity = MathHelper.sqrt(vX * vX + vY * vY + vZ * vZ);
-        if (velocity != 0){
-            xd = (vX / velocity) * speed;
-            yd = (vY / velocity) * speed;
-            zd = (vZ / velocity) * speed;
+        if (velocity != 0) {
+            this.xd = (vX / velocity) * speed;
+            this.yd = (vY / velocity) * speed;
+            this.zd = (vZ / velocity) * speed;
         } else {
-            xd = 0;
-            yd = 0;
-            zd = 0;
+            this.xd = 0;
+            this.yd = 0;
+            this.zd = 0;
         }
     }
 
     @Override
-    protected void initProjectile()
-    {
-        damage = 0;
-        defaultGravity = 0.00f;
-        defaultProjectileSpeed = 1f;
+    protected void initProjectile() {
+        this.damage = 0;
+        this.defaultGravity = 0.00f;
+        this.defaultProjectileSpeed = 1f;
     }
+
     @Override
-	public void tick()
-    {
-        remainingFireTicks = 10;
-        world.spawnParticle("flame", x, y, z, xd * 0.05D, yd * 0.05D - 0.1D, zd * 0.05D, 0);
-        world.spawnParticle("flame", x + xd * 0.5D, y + yd * 0.5D, z + zd * 0.5D, xd * 0.05D, yd * 0.05D - 0.1D, zd * 0.05D, 0);
+    public void tick() {
+        this.remainingFireTicks = 10;
+        this.world.spawnParticle("flame", this.x, this.y, this.z, this.xd * 0.05D, this.yd * 0.05D - 0.1D, this.zd * 0.05D, 0);
+        this.world.spawnParticle("flame", this.x + this.xd * 0.5D, this.y + this.yd * 0.5D, this.z + this.zd * 0.5D, this.xd * 0.05D, this.yd * 0.05D - 0.1D, this.zd * 0.05D, 0);
         super.tick();
     }
-    public void onHit(@NotNull HitResult result){
-        if (tickCount > 5){
-            if(!world.isClientSide)
-            {
-                if(result instanceof HitResult.Entity hitEntity)
-                {
-                    if (hitEntity.entity instanceof MobGhast){
-                        hitEntity.entity.hurt(owner, 20, DamageType.COMBAT);
+
+    public void onHit(@NotNull HitResult result) {
+        if (this.tickCount > 5) {
+            if (!this.world.isClientSide) {
+                if (result instanceof HitResult.Entity hitEntity) {
+                    if (hitEntity.entity instanceof MobGhast) {
+                        hitEntity.entity.hurt(this.owner, 20, DamageType.COMBAT);
                     } else {
-                        hitEntity.entity.hurt(owner, damage, DamageType.COMBAT);
+                        hitEntity.entity.hurt(this.owner, this.damage, DamageType.COMBAT);
                     }
-                    if (hitEntity.entity instanceof Mob && owner instanceof Player) {
-                        ((Player) owner).addStat(Achievements.HIT_FIREBALL, 1);
+                    if (hitEntity.entity instanceof Mob && this.owner instanceof Player player) {
+                        player.addStat(Achievements.HIT_FIREBALL, 1);
                     }
                 }
-                world.createExplosion(owner, x, y + bbHeight/2, z, 1.5F, true, false);
+                this.world.createExplosion(this.owner, this.x, this.y + this.bbHeight / 2, this.z, 1.5F, true, false);
             }
             remove();
         }
     }
-    public void afterTick(){
+
+    public void afterTick() {
         super.afterTick();
-        world.spawnParticle("largesmoke", x, y, z, 0.0D, 0.0D, 0.0D, 0);
+        this.world.spawnParticle("largesmoke", this.x, this.y, this.z, 0.0D, 0.0D, 0.0D, 0);
     }
 
     @Override
-	public boolean isPickable()
-    {
+    public boolean isPickable() {
         return true;
     }
 
     @Override
-	public float getPickRadius()
-    {
+    public float getPickRadius() {
         return 1f;
     }
+
     @Override
-    public boolean hurt(Entity entity, int i, DamageType type)
-    {
+    public boolean hurt(Entity entity, int i, DamageType type) {
         markHurt();
-        if(entity != null)
-        {
-            Vec3 lookAngle = entity.getViewVector(1);
-            if (entity instanceof Mob){
+        if (entity != null) {
+            Vector3dc lookAngle = entity.getViewVector(1);
+            if (entity instanceof Mob) {
                 this.owner = (Mob) entity;
             }
-            if(lookAngle != null)
-            {
-                setVelocity(lookAngle.x, lookAngle.y, lookAngle.z, FIREBALL_SPEED);
+            if (lookAngle != null) {
+                setVelocity(lookAngle.x(), lookAngle.y(), lookAngle.z(), FIREBALL_SPEED);
             }
             return true;
-        } else
-        {
+        } else {
             return false;
         }
     }
+
     @Override
-    public void lerpMotion(double xd, double yd, double zd)
-    {
+    public void lerpMotion(double xd, double yd, double zd) {
         this.xd = xd;
         this.yd = yd;
         this.zd = zd;
